File: /home/boxelikax/public_html/demoltec.com/needrestart.tar
iucode-scan-versions 0000755 00000004556 15237676415 0010564 0 ustar 00 #!/bin/sh
# needrestart - Restart daemons after library updates.
#
# Authors:
# Thomas Liske <thomas@fiasko-nw.net>
#
# Copyright Holder:
# 2013 - 2022 (C) Thomas Liske [http://fiasko-nw.net/~thomas/]
#
# License:
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this package; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
# handle verbose mode
if [ "$1" = "1" ]; then
set -x
fi
# filter for processor signature (and flags if available)
sig=$(iucode_tool --scan-system 2>&1 | grep -oE '[^[:space:]]+$') #'
if [ -r /sys/devices/system/cpu/cpu0/microcode/processor_flags ]; then
filter="-s $sig,"$(cat /sys/devices/system/cpu/cpu0/microcode/processor_flags)
else
filter="-S"
fi
# allow local command override
test -r /etc/needrestart/iucode.sh && . /etc/needrestart/iucode.sh
# early boot initrd (required at least on Arch Linux)
if type bsdtar > /dev/null 2>&1 ; then
imgfiles=""
for img in /boot/intel-ucode.img /boot/early_ucode.cpio ; do
if [ -r "$img" ]; then
imgfiles="$imgfiles $img"
fi
done
if [ -n "$imgfiles" ]; then
cat $imgfiles | bsdtar -Oxf /dev/stdin | iucode_tool -l $filter -tb - 2>&1
exit $?
fi
fi
# look for microcode updates in the filesystem
IUCODE_TOOL_EXTRA_OPTIONS=""
test -r /etc/default/intel-microcode && . /etc/default/intel-microcode
# do not scan if adding Intel microcode to initrd is disabled
test "$IUCODE_TOOL_INITRAMFS" = "no" && exit 0
# run iucode_tool to scan for microcodes
if [ -r /usr/share/misc/intel-microcode* ]; then
exec iucode_tool -l $filter --ignore-broken -tb /lib/firmware/intel-ucode -ta /usr/share/misc/intel-microcode* 2>&1
exit $?
fi
iucode_tool -l $filter --ignore-broken $IUCODE_TOOL_EXTRA_OPTIONS -tb /lib/firmware/intel-ucode 2>&1 | grep "$sig"
dpkg-status 0000755 00000002025 15237676415 0006757 0 ustar 00 #!/bin/sh
# needrestart - Restart daemons after library updates.
#
# Authors:
# Thomas Liske <thomas@fiasko-nw.net>
#
# Copyright Holder:
# 2013 - 2022 (C) Thomas Liske [http://fiasko-nw.net/~thomas/]
#
# License:
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
RUNDIR=/run/needrestart
mkdir -p "$RUNDIR"
touched=0
errored=0
while read tag p0 p1 p2 p3 p4 pp; do
if [ "$tag" = 'status:' ] && [ "$p1" = 'unpacked' ]; then
if [ "$touched" = 0 ]; then
touch "$RUNDIR/unpacked"
touched=1
fi
else
if [ "$tag" = 'status:' ] && \
[ "$p1" = ':' ] && \
[ "$p2" = 'error' ] && \
[ "$p3" = ':' ]; then
if [ "$errored" = 0 ]; then
touch "$RUNDIR/errored"
errored=1
fi
fi
fi
done
notify.d.sh 0000644 00000001631 15237676415 0006653 0 ustar 00 # needrestart - Restart daemons after library updates.
#
# Authors:
# Thomas Liske <thomas@fiasko-nw.net>
#
# Copyright Holder:
# 2013 - 2022 (C) Thomas Liske [http://fiasko-nw.net/~thomas/]
#
# License:
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Shell library for scripts in /etc/needrestart/notify.d/
NOTIFYCONF='/etc/needrestart/notify.conf'
GETTEXTLIB='/usr/bin/gettext.sh'
export TEXTDOMAIN='needrestart-notify'
if [ ! -r "$NOTIFYCONF" ]; then
echo "[$0] Unable to read $NOTIFYCONF - aborting!" 1>&2
exit 1;
fi
# Load global config
. "$NOTIFYCONF"
# Load gettext shell library
. "$GETTEXTLIB"
# Get LANG of session
export LANG=$(sed -z -n s/^LANG=//p "/proc/$NR_SESSPPID/environ")
apt-pinvoke 0000755 00000003034 15237676415 0006747 0 ustar 00 #!/bin/sh
# needrestart - Restart daemons after library updates.
#
# Authors:
# Thomas Liske <thomas@fiasko-nw.net>
#
# Copyright Holder:
# 2013 - 2022 (C) Thomas Liske [http://fiasko-nw.net/~thomas/]
#
# License:
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
RUNDIR=/run/needrestart
# dpkg had an error... exit (silently)
if [ -e "$RUNDIR/errored" ]; then
[ -e "$RUNDIR/unpacked" ] && echo "needrestart is being skipped since dpkg has failed"
rm -f "$RUNDIR/errored"
exit 0
fi
if [ -e "$RUNDIR/unpacked" ]; then
# check if system is shutting down, see also Debian Bug#914753
if [ -d '/run/systemd/system' ]; then
sd=$(dbus-send --system --dest=org.freedesktop.login1 \
--print-reply \
/org/freedesktop/login1 \
org.freedesktop.DBus.Properties.Get \
string:org.freedesktop.login1.Manager \
string:PreparingForShutdown 2> /dev/null)
if [ "$sd" != "${sd% true}" ]; then
echo "skipping needrestart since system is preparing for shutdown"
exit 0
fi
fi
if [ -n "$NEEDRESTART_SUSPEND" ]; then
echo "packages have been installed but needrestart is suspended"
exit 0
fi
rm -f "$RUNDIR/unpacked"
exec /usr/sbin/needrestart "$@"
fi
vmlinuz-get-version 0000755 00000003634 15237676415 0010464 0 ustar 00 #!/bin/sh
# ----------------------------------------------------------------------
# This file was taken from the Linux kernel source tree (scripts/extract-vmlinux)
# and has been adopted for the use within needrestart.
#
# extract-vmlinux - Extract uncompressed vmlinux from a kernel image
#
# Inspired from extract-ikconfig
# (c) 2009,2010 Dick Streefland <dick@streefland.net>
#
# (c) 2011 Corentin Chary <corentin.chary@gmail.com>
#
# Adopted for needrestart
# (c) 2016 - 2017 Thomas Liske <liske@ibh.de>
#
# Licensed under the GNU General Public License, version 2 (GPLv2).
# ----------------------------------------------------------------------
get_version()
{
# search and output version string pattern
grep -aom 1 'Linux version [0123456789].*' "$1" && exit 0
}
try_decompress()
{
# The obscure use of the "tr" filter is to work around older versions of
# "grep" that report the byte offset of the line instead of the pattern.
# Try to find the header ($1) and decompress from here
for pos in $(tr "$1\n$2" "\n$2=" < "$img" | grep -abo "^$2"); do
pos=${pos%%:*}
tail -c+$pos "$img" | $3 > $tmp 2>/dev/null
get_version $tmp
done
}
# Check invocation:
me=${0##*/}
img=$1
if [ $# -lt 1 ] || [ $# -gt 2 ] || [ ! -s "$img" ]; then
echo "Usage: $me <kernel-image> [debug]" >&2
exit 2
fi
if [ "$2" = "1" ]; then
set -x
fi
# Prepare temp files:
tmp=$(mktemp)
trap "rm -f $tmp" 0
# Initial attempt for uncompressed images or objects:
get_version $img
# That didn't work, so retry after decompression.
which gunzip > /dev/null && try_decompress '\037\213\010' xy gunzip
which unxz > /dev/null && try_decompress '\3757zXZ\000' abcde unxz
which bunzip2 > /dev/null && try_decompress 'BZh' xy bunzip2
which unlzma > /dev/null && try_decompress '\135\0\0\0' xxx unlzma
which lzop > /dev/null && try_decompress '\211\114\132' xy 'lzop -d'